<?php

namespace Addons\HaoTeamBackpsd;

use Common\Controller\Addon;

/**
 * 【好团队】找回密码插件
 * @author Tiger
 */
class HaoTeamBackpsdAddon extends Addon {

    public $info = array(
        'name' => 'HaoTeamBackpsd',
        'title' => '[好团队]找回密码',
        'description' => '也可以叫忘记密码,当用户忘记密码时使用.',
        'status' => 1,
        'author' => 'Tiger',
        'version' => '0.1'
    );

    public function install() {
        //添加钩子
        $Hooks = M("Hooks");
        $AliPlay = array(array(
                'name' => 'HaoTeamBackpsdHook',
                'description' => '注册页面忘记密码.',
                'type' => 1,
                'update_time' => NOW_TIME,
                'addons' => 'HaoTeamBackpsdHook'
        ));
        $Hooks->addAll($AliPlay, array(), true);
        if ($Hooks->getDbError()) {
            session('addons_install_error', $Hooks->getError());
            return false;
        }
        return true;
    }

    public function uninstall() {
        $Hooks = M("Hooks");
        $map['name'] = array('in', 'HaoTeamBackpsdHook');
        $res = $Hooks->where($map)->delete();
        if ($res == false) {
            session('addons_install_error', $Hooks->getError());
            return false;
        }
        return true;
    }

    //实现的AdminIndex钩子方法
    public function HaoTeamBackpsdHook() {
        echo '<a href="' . addons_url('HaoTeamBackpsd://HaoTeamBackpsd/forgetpassword') . '" class="forget">忘记密码?</a>';
    }

}
