<?php

namespace Addons\HaoTeamBackpsd\Controller;

use Home\Controller\AddonsController;

class HaoTeamBackpsdController extends AddonsController {

    public function forgetpassword() {
        if (IS_POST) {
            /* 检测验证码 */
            if (!check_verify(I('verify'))) {
                $this->error('验证码输入错误！');
            }

            //TODO: 发送验证邮件
            R('Addons://HaoTeamEmail/HaoTeamEmail/renPassword', array(I('email'), addons_url('HaoTeamBackpsd://HaoTeamBackpsd/forgetpasswordtwo')));
            $this->success('邮件发送成功！请点击邮箱查看.', U('Home/Index'), true);
        }
        $this->display(T('Addons://HaoTeamBackpsd@password/forgetpassword'));
    }

    /**
     * 重置密码
     * Tiger
     */
    public function forgetpasswordtwo() {
        if (IS_POST) {
            /* 检测验证码 */
            if (!check_verify(I('verify'))) {
                $this->error('验证码输入错误！');
            }
            $repassword = I('post.repassword');
            $password = I('post.password');
            empty($password) && $this->error('请输入新密码');
            empty($repassword) && $this->error('请输入确认密码');

            if ($password !== $repassword) {
                $this->error('两次密码输入不一致');
            }
            $token = think_decrypt(I('post.token'));
            require_once APP_PATH . 'User/Common/common.php';
            require_once APP_PATH . 'User/Conf/config.php';
            $data['password'] = think_ucenter_md5($password, UC_AUTH_KEY);
            M('ucenter_member')->where("email = '" . $token . "'")->save($data);
            $this->success('密码设置成功.', U('User/login'));
        }
        $this->display(T('Addons://HaoTeamBackpsd@password/forgetpasswordtwo'));
    }

    /* 验证码，用于登录和注册 */

    public function verify() {
        $verify = new \Think\Verify();
        $verify->entry(1);
    }

}
